For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList tests
      • GETGet test
      • POSTCreate test
      • PUTUpdate test
      • DELDelete test
      • POSTGet test summaries
      • POSTRun tests on agent
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsTests

Get test summaries

POST
/v1/convai/agent-testing/summaries
POST
/v1/convai/agent-testing/summaries
$curl -X POST https://api.elevenlabs.io/v1/convai/agent-testing/summaries \
> -H "Content-Type: application/json" \
> -d '{
> "test_ids": [
> "test_id_1",
> "test_id_2"
> ]
>}'
1{
2 "tests": {}
3}
Gets multiple agent response tests by their IDs. Returns a dictionary mapping test IDs to test summaries.
Was this page helpful?
Previous

Run tests on agent

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
test_idslist of stringsRequired
List of test IDs to fetch. No duplicates allowed.

Response

Successful Response
testsmap from strings to objects
Dictionary mapping test IDs to their summary information

Errors

422
Unprocessable Entity Error